import { jsx } from "react/jsx-runtime";
import { TokenYAM as TokenYAM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenYAM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "YAM", "data-name": "TokenYAM", ...props, children: /* @__PURE__ */ jsx(TokenYAM$1, { variant }) });
  }
);
TokenYAM.displayName = "TokenYAM";
Object.assign(TokenYAM, { isGdsIcon: true });
export {
  TokenYAM
};
